package digikam 4:5.4.0-0ubuntu3 failed to install/upgrade: trying to overwrite '/usr/share/metainfo/org.kde.digikam.appdata.xml', which is also in package digikam5-data 4:5.5.0-yakkety~ppa1

Asked by yves on 2017-04-15

previous installation was working fine under 16.10. After installation of 17.04 digikam was removed at time of installation and I cannot reinstall it.. system error..

ProblemType: Package
DistroRelease: Ubuntu 17.04
Package: digikam 4:5.4.0-0ubuntu3
ProcVersionSignature: Ubuntu 4.10.0-19.21-generic 4.10.8
Uname: Linux 4.10.0-19-generic x86_64
NonfreeKernelModules: nvidia_uvm nvidia_drm nvidia_modeset nvidia
ApportVersion: 2.20.4-0ubuntu4
Architecture: amd64
Date: Sat Apr 15 21:54:45 2017
ErrorMessage: trying to overwrite '/usr/share/metainfo/org.kde.digikam.appdata.xml', which is also in package digikam5-data 4:5.5.0-yakkety~ppa1
RelatedPackageVersions:
 dpkg 1.18.10ubuntu2
 apt 1.4
SourcePackage: digikam
Title: package digikam 4:5.4.0-0ubuntu3 failed to install/upgrade: trying to overwrite '/usr/share/metainfo/org.kde.digikam.appdata.xml', which is also in package digikam5-data 4:5.5.0-yakkety~ppa1
UpgradeStatus: Upgraded to zesty on 2017-04-15 (0 days ago)

Question information

Rik Mills (rikmills) said : #1

Removing the ppa digikam5-data 4:5.5.0-yakkety~ppa1 package and any other digikam package from that ppa should allow installation of the ubuntu package. Changed to a question, as this seems a support or configuration issue, and not a bug.

Bashing-om (bashing-om) said : #2

yves ; Hello;

Philip has not updated his PPA to support zesty.
See: https://launchpad.net/~philip5/+archive/ubuntu/extra
Until and IF the PPA is updated disable the ppa:philip5/extra source.

Now what results from terminal commands:
sudo apt update
sudo apt upgrade

Unknown at this time if the PPA install will have to be purged to effect the repo install of digikam . The above will indicate what additional measures may be required.

Maybe Yes ... maybe not so yes

yves (yvesbodson) said : #3

It's ok now. After I did remove everything and reinstall it works. Thanks
for your help..

On Sat, Apr 15, 2017 at 10:43 PM, yves <<email address hidden>
> wrote:

> New question #620821 on digikam in Ubuntu:
> https://answers.launchpad.net/ubuntu/+source/digikam/+question/620821
>
> previous installation was working fine under 16.10. After installation of
> 17.04 digikam was removed at time of installation and I cannot reinstall
> it.. system error..
>
> ProblemType: Package
> DistroRelease: Ubuntu 17.04
> Package: digikam 4:5.4.0-0ubuntu3
> ProcVersionSignature: Ubuntu 4.10.0-19.21-generic 4.10.8
> Uname: Linux 4.10.0-19-generic x86_64
> NonfreeKernelModules: nvidia_uvm nvidia_drm nvidia_modeset nvidia
> ApportVersion: 2.20.4-0ubuntu4
> Architecture: amd64
> Date: Sat Apr 15 21:54:45 2017
> ErrorMessage: trying to overwrite '/usr/share/metainfo/org.kde.digikam.appdata.xml',
> which is also in package digikam5-data 4:5.5.0-yakkety~ppa1
> RelatedPackageVersions:
> dpkg 1.18.10ubuntu2
> apt 1.4
> SourcePackage: digikam
> Title: package digikam 4:5.4.0-0ubuntu3 failed to install/upgrade: trying
> to overwrite '/usr/share/metainfo/org.kde.digikam.appdata.xml', which is
> also in package digikam5-data 4:5.5.0-yakkety~ppa1
> UpgradeStatus: Upgraded to zesty on 2017-04-15 (0 days ago)
>
> --
> You received this question notification because you asked the question.
>

--

*Après demain, aujourd'hui sera hier..."..Donne un cheval à celui qui dit
la vérité : il en aura besoin pour s’enfuir...""Mamihlapinatapai, du yagan,
langue amérindienne parlée par le peuple du même nom au Chili
<http://www.lemonde.fr/chili/> et en Terre de Feu, est réputé être l’un des
mots les plus difficiles à traduire
<http://conjugaison.lemonde.fr/conjugaison/troisieme-groupe/traduire/>. Il
signifie « un regard partagé entre deux personnes dont chacune espère que
l’autre va prendre
<http://conjugaison.lemonde.fr/conjugaison/troisieme-groupe/prendre/>
l’initiative de quelque chose que les deux désirent mais qu’aucun ne veut
commencer ».""Fight Club: “On a long enough timeline the survival rate for
everyone drops to zero.”""How much can we actually know about the economy?
When does data signify, and when is it merely noisy and uncertain?"*

*“Maybe it is time to do better things rather than just doing things
better.”"Do not do today what you can do better tomorrow."*

PPAs can give issues if you are getting overlaps then dpkg will moan.
I suggest you contact the PPA maintainer to inform them

Can you help with this problem?

Provide an answer of your own, or ask yves for more information if necessary.

To post a message you must log in.